#-----------------------------------------------------------------------------
#
# ICETConfig.cmake - IceT CMake configuration file for external projects.
#
# This file is configured by IceT and used by other CMake projects to load
# IceT's settings.
#
# Copyright 2003 Sandia Coporation
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# This source code is released under the New BSD License.
#

# The IceT include file directories.
SET(ICET_INCLUDE_DIRS "/usrinclude/paraview-3.10")

# The IceT library directories.
SET(ICET_LIBRARY_DIRS "/usrlib/openmpi/lib/paraview")

# The C and C++ flags added by IceT to the cmake-configured flags.
SET(ICET_REQUIRED_C_FLAGS "")
SET(ICET_REQUIRED_CXX_FLAGS "")

# The IceT version number
SET(ICET_MAJOR_VERSION "2")
SET(ICET_MINOR_VERSION "0")
SET(ICET_PATCH_VERSION "1")

# The build settings file.
SET(ICET_BUILD_SETTINGS_FILE "/usrlib/openmpi/lib/paraview/ICETBuildSettings.cmake")

# The IceT libraries
SET(ICET_CORE_LIBS "/usrlib/openmpi/lib/paraview/libIceTCore.so")
SET(ICET_GL_LIBS "/usrlib/openmpi/lib/paraview/libIceTGL.so")
SET(ICET_MPI_LIBS "/usrlib/openmpi/lib/paraview/libIceTMPI.so")

# MPI configuration used to build IceT.
SET(ICET_MPI_INCLUDE_PATH "/usr/include/openmpi-i386")
SET(ICET_MPI_LIBRARY "/usr/lib/openmpi/lib/libmpi_cxx.so")
SET(ICET_MPI_EXTRA_LIBRARY "/usr/lib/openmpi/lib/libmpi.so;/usr/lib/libdl.so;/usr/lib/libnsl.so;/usr/lib/libutil.so;/usr/lib/libm.so;/usr/lib/libdl.so")
SET(ICET_MPIRUN_EXE "/usr/lib/openmpi/bin/mpiexec")
SET(ICET_MPI_MAX_NUMPROCS "2")
SET(ICET_MPI_PREFLAGS ";-np;2;")
SET(ICET_MPI_POSTFLAGS "")

# Other IceT configuration options.
SET(ICET_BUILD_SHARED_LIBS "ON")
SET(ICET_BUILD_TESTING "ON")

# The ICET library dependencies.
IF(NOT ICET_NO_LIBRARY_DEPENDS)
  INCLUDE("/usrlib/openmpi/lib/paraview/ICETLibraryDepends.cmake")
ENDIF(NOT ICET_NO_LIBRARY_DEPENDS)

